org.openstreetmap.josm.plugins.streetside.utils

## Class StreetsideURL.APIv3

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.utils.StreetsideURL.APIv3

- Enclosing class:
    StreetsideURL

      public static final class StreetsideURL.APIv3
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static String` | `BASE_URL`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `APIv3()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static URL` | `getUser(String key)`
    `static URL` | `parseNextFromLinkHeaderValue(String value)` The APIv3 returns a Link header for each request.
    `static String` | `queryStreetsideString(Bounds bounds)`
    `static String` | `queryString(Bounds bounds)`
    `static URL` | `searchDetections(Bounds bounds)`
    `static URL` | `searchImages(Bounds bounds)`
    `static URL` | `searchMapObjects(Bounds bounds)`
    `static URL` | `searchStreetsideImages(Bounds bounds)`
    `static URL` | `searchStreetsideSequences(Bounds bounds)`
    `static URL` | `submitChangeset()`
    `static URL` | `userURL()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BASE_URL

          private static final String BASE_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### APIv3

          private APIv3()

  - ### Method Detail

    - #### getUser

          public static URL getUser(String key)

    - #### submitChangeset

          public static URL submitChangeset()

      Returns:
        the URL where you can create, get and approve changesets

    - #### searchDetections

          public static URL searchDetections(Bounds bounds)

    - #### searchImages

          public static URL searchImages(Bounds bounds)

    - #### searchStreetsideImages

          public static URL searchStreetsideImages(Bounds bounds)

    - #### searchMapObjects

          public static URL searchMapObjects(Bounds bounds)

    - #### searchStreetsideSequences

          public static URL searchStreetsideSequences(Bounds bounds)

    - #### parseNextFromLinkHeaderValue

          public static URL parseNextFromLinkHeaderValue(String value)

      The APIv3 returns a Link header for each request. It contains a URL for requesting more results. If you supply the value of the Link header, this method returns the next URL, if such a URL is defined in the header.
      Parameters:
        `value` - the value of the HTTP-header with key "Link"
      Returns:
        the `URL` for the next result page, or `null` if no such URL could be found

    - #### queryString

          public static String queryString(Bounds bounds)

    - #### queryStreetsideString

          public static String queryStreetsideString(Bounds bounds)

    - #### userURL

          public static URL userURL()

      Returns:
        the URL where you'll find information about the user account as JSON

JOSM Plugins